Subject: Re: bug#26664: 26.0.50; MacOS El Capitan crash on startup -- NSInvalidArgumentException

From: Alan Third <[email-masked]>
Date: Wed, 26 Apr 2017 20:08:18 +0100

On Tue, Apr 25, 2017 at 09:12:00PM -0700, Marc Sherry wrote:
> 
> Starting a windowed emacs session crashes Emacs instantly, on OS X
> 10.11.6. Installed via Homebrew and --head. `emacs -nw` works fine. A
> stack trace is printed on the crash:
> 
> msherry@tsuru:~/Library/Caches/Homebrew/emacs--git(master)$ emacs -Q
> 2017-04-25 21:05:01.518 Emacs[92516:237082] -[EmacsWindow setTabbingMode:]: unrecognized selector sent to instance 0x102a8d9a0
> 2017-04-25 21:05:01.519 Emacs[92516:237082] An uncaught exception was raised
> 2017-04-25 21:05:01.519 Emacs[92516:237082] -[EmacsWindow setTabbingMode:]: unrecognized selector sent to instance 0x102a8d9a0

Sorry, I messed up a version check. I’ve pushed a fix, so can you try
again and let me know if it’s OK? I’ve only got 10.12 here, so I can’t
test on other versions.

Thanks!
-- 
Alan Third